# -*- encoding: utf-8 -*-
# stub: azure_mgmt_powerbi_embedded 0.11.0 ruby lib

Gem::Specification.new do |s|
  s.name = "azure_mgmt_powerbi_embedded".freeze
  s.version = "0.11.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Microsoft Corporation".freeze]
  s.date = "2017-08-21"
  s.description = "Microsoft Azure Power BI Embedded Management Client Library for Ruby".freeze
  s.email = "azrubyteam@microsoft.com".freeze
  s.files = ["LICENSE.txt".freeze, "lib/azure_mgmt_powerbi_embedded.rb".freeze, "lib/generated".freeze, "lib/generated/azure_mgmt_powerbi_embedded".freeze, "lib/generated/azure_mgmt_powerbi_embedded.rb".freeze, "lib/generated/azure_mgmt_powerbi_embedded/models".freeze, "lib/generated/azure_mgmt_powerbi_embedded/models/access_key_name.rb".freeze, "lib/generated/azure_mgmt_powerbi_embedded/models/azure_sku.rb".freeze, "lib/generated/azure_mgmt_powerbi_embedded/models/check_name_reason.rb".freeze, "lib/generated/azure_mgmt_powerbi_embedded/models/check_name_request.rb".freeze, "lib/generated/azure_mgmt_powerbi_embedded/models/check_name_response.rb".freeze, "lib/generated/azure_mgmt_powerbi_embedded/models/create_workspace_collection_request.rb".freeze, "lib/generated/azure_mgmt_powerbi_embedded/models/display.rb".freeze, "lib/generated/azure_mgmt_powerbi_embedded/models/error.rb".freeze, "lib/generated/azure_mgmt_powerbi_embedded/models/error_detail.rb".freeze, "lib/generated/azure_mgmt_powerbi_embedded/models/migrate_workspace_collection_request.rb".freeze, "lib/generated/azure_mgmt_powerbi_embedded/models/operation.rb".freeze, "lib/generated/azure_mgmt_powerbi_embedded/models/operation_list.rb".freeze, "lib/generated/azure_mgmt_powerbi_embedded/models/update_workspace_collection_request.rb".freeze, "lib/generated/azure_mgmt_powerbi_embedded/models/workspace.rb".freeze, "lib/generated/azure_mgmt_powerbi_embedded/models/workspace_collection.rb".freeze, "lib/generated/azure_mgmt_powerbi_embedded/models/workspace_collection_access_key.rb".freeze, "lib/generated/azure_mgmt_powerbi_embedded/models/workspace_collection_access_keys.rb".freeze, "lib/generated/azure_mgmt_powerbi_embedded/models/workspace_collection_list.rb".freeze, "lib/generated/azure_mgmt_powerbi_embedded/models/workspace_list.rb".freeze, "lib/generated/azure_mgmt_powerbi_embedded/module_definition.rb".freeze, "lib/generated/azure_mgmt_powerbi_embedded/power_biembedded_management_client.rb".freeze, "lib/generated/azure_mgmt_powerbi_embedded/version.rb".freeze, "lib/generated/azure_mgmt_powerbi_embedded/workspace_collections.rb".freeze, "lib/generated/azure_mgmt_powerbi_embedded/workspaces.rb".freeze]
  s.homepage = "https://aka.ms/azure-sdk-for-ruby".freeze
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.0.0".freeze)
  s.rubygems_version = "2.5.2".freeze
  s.summary = "Official Ruby client library to consume Microsoft Azure Power BI Embedded Management services.".freeze

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_development_dependency(%q<bundler>.freeze, ["~> 1.9"])
      s.add_development_dependency(%q<rake>.freeze, ["~> 10"])
      s.add_development_dependency(%q<rspec>.freeze, ["~> 3"])
      s.add_development_dependency(%q<dotenv>.freeze, ["~> 2"])
      s.add_runtime_dependency(%q<ms_rest_azure>.freeze, ["~> 0.8.0"])
    else
      s.add_dependency(%q<bundler>.freeze, ["~> 1.9"])
      s.add_dependency(%q<rake>.freeze, ["~> 10"])
      s.add_dependency(%q<rspec>.freeze, ["~> 3"])
      s.add_dependency(%q<dotenv>.freeze, ["~> 2"])
      s.add_dependency(%q<ms_rest_azure>.freeze, ["~> 0.8.0"])
    end
  else
    s.add_dependency(%q<bundler>.freeze, ["~> 1.9"])
    s.add_dependency(%q<rake>.freeze, ["~> 10"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3"])
    s.add_dependency(%q<dotenv>.freeze, ["~> 2"])
    s.add_dependency(%q<ms_rest_azure>.freeze, ["~> 0.8.0"])
  end
end
